import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  _count: SortOrderSchema.optional()
}).strict();
export const ClaimOrderByRelationAggregateInputObjectSchema: z.ZodType<Prisma.ClaimOrderByRelationAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.ClaimOrderByRelationAggregateInput>;
export const ClaimOrderByRelationAggregateInputObjectZodSchema = makeSchema();
